#!/bin/bash

logfile=~/boojum-tune-ext4.log
source ~/bin/logecho.mrg

#df |head -n 1
df |head -n 1 > $logfile

# for each ext4 filesystem, tune2fs -m1
for devv in `df -T|grep ext4|awk '{ print $1 }'`; do
  fsb=`df $devv |awk '{ print $3" "$4 }' |column -t`
  logecho "o $devv Free space before Boojum tune:"
  logecho "$fsb"
  
  tune2fs -m1 $devv
  
  fsa=`df $devv |awk '{ print $3" "$4 }' |column -t`
  logecho "o $devv Free space after:"
  logecho "$fsa" 
  logecho '========================='
done


exit;

Filesystem     1K-blocks    Used Available Use% Mounted on
/dev/sda3       23899040 5541876  18096648  24% /
