#!/bin/bash

# NOTE - other scripts rely on this output!
# put dev-disk-by-id into assoc array > comma-sep file

# =LLC= © (C)opyright 2016 Boojum Consulting LLC / Dave Bechtel, All rights reserved.
## NOTICE: Only Boojum Consulting LLC personnel may use or redistribute this code,
## Unless given explicit permission by the author - see http://www.boojumconsultingsa.com
#

outf=/tmp/dbi-commasep--boojum.csv

/bin/ls -l /dev/disk/by-id /dev/disk/by-path \
 |egrep -v 'dev/|part|wwn|total ' \
 |awk 'NF>0' \
 |awk '{ print $11","$9 }' \
 |sed -e 's^../../^/dev/^g' \
 |sort \
 > $outf

exit;

ls -l $DBI|egrep -v 'part|wwn'
total 0
lrwxrwxrwx 1 root root  9 Aug  5 07:32 ata-HL-DT-ST_BD-RE_BH16NS40_K9JD27D5727 -> ../../sr1
lrwxrwxrwx 1 root root  9 Aug  5 07:32 ata-Optiarc_DVD_RW_AD-7240S -> ../../sr0
lrwxrwxrwx 1 root root  9 Aug  5 12:32 ata-ST3000VN007-2E4166_Z6A0GXZW -> ../../sde
lrwxrwxrwx 1 root root  9 Aug  5 12:32 ata-WDC_WD1002FAEX-00Y9A0_WD-WCAW35807074 -> ../../sdb
lrwxrwxrwx 1 root root  9 Aug  5 12:32 ata-WDC_WD2003FZEX-00SRLA0_WD-WMC6N0D2AZX2 -> ../../sdd
lrwxrwxrwx 1 root root  9 Aug  5 12:32 ata-WDC_WD20EFRX-68EUZN0_WD-WCC4M1JDAPDP -> ../../sdf
lrwxrwxrwx 1 root root  9 Aug  5 12:32 ata-WDC_WD20EFRX-68EUZN0_WD-WCC4MCYPD0KC -> ../../sda
lrwxrwxrwx 1 root root  9 Aug  5 12:32 ata-WDC_WD30EURX-73T0FY0_WD-WMC4N0F2DKJA -> ../../sdc

ata-HL-DT-ST_BD-RE_BH16NS40_K9JD27D5727,/dev/sr1
ata-Optiarc_DVD_RW_AD-7240S,/dev/sr0
ata-ST3000VN007-2E4166_Z6A0GXZW,/dev/sde
ata-WDC_WD1002FAEX-00Y9A0_WD-WCAW35807074,/dev/sdb
ata-WDC_WD2003FZEX-00SRLA0_WD-WMC6N0D2AZX2,/dev/sdd
ata-WDC_WD20EFRX-68EUZN0_WD-WCC4M1JDAPDP,/dev/sdf
ata-WDC_WD20EFRX-68EUZN0_WD-WCC4MCYPD0KC,/dev/sda
ata-WDC_WD30EURX-73T0FY0_WD-WMC4N0F2DKJA,/dev/sdc

fry - expected output:
 ls -l /dev/disk/by-id /dev/disk/by-path \
  |egrep -v 'dev/|part|wwn|total ' \
  |awk 'NF>0' \
  |awk '{ print $11","$9 }' \
  |sed -e 's^../../^/dev/^g'

/dev/sda,ata-ST4000VN008-2DR166_ZGY005C6
/dev/sda,pci-0000:01:00.0-sas-0x4433221100000000-lun-0
/dev/sdb,ata-ST4000VN000-2AH166_WDH0SB5N
/dev/sdb,pci-0000:01:00.0-sas-0x4433221103000000-lun-0
/dev/sdc,ata-ST4000VN000-1H4168_Z3076XVL
/dev/sdc,pci-0000:01:00.0-sas-0x4433221101000000-lun-0
/dev/sdd,ata-ST4000VN000-1H4168_Z3073Z7X
/dev/sdd,pci-0000:01:00.0-sas-0x4433221102000000-lun-0
/dev/sde,ata-ST9500420AS_5VJ5FDYE
/dev/sde,pci-0000:02:00.0-sas-0x4433221101000000-lun-0
/dev/sdf,ata-ST1000LM024_HN-M101MBB_S2RQJ9CC903375
/dev/sdf,pci-0000:02:00.0-sas-0x4433221103000000-lun-0
/dev/sdg,pci-0000:00:14.0-usb-0:1:1.0-scsi-0:0:0:0
/dev/sdg,usb-SanDisk_Ultra_Fit_4C530001171117106334-0:0
/dev/sdh,ata-ST2000VN000-1HJ164_W523GA5J
/dev/sdi,ata-ST2000VN000-1HJ164_W5238TSL
/dev/sdj,ata-ST2000VN004-2E4164_Z521TRH4
/dev/sdk,ata-ST2000VN000-1HJ164_W7212LTE
/dev/sdl,ata-ST2000VN000-1HJ164_W72127JB
/dev/sdm,ata-ST2000VN000-1HJ164_Z520DLXJ
/dev/sr0,ata-HL-DT-ST_DVDRAM_GH24NSB0_K2EG1QE3246
