#!/bin/bash
# REF: https://sysadminman.net/blog/2008/remove-all-zfs-snapshots-50

# destroy specified snapshots on pool (to free space) and track what got killed
#zp=zredtera1
#crit=daily
crit=weekly
#crit=$zp

[ "$1" = "" ] || crit="$1"

logfile=~/zfs-killsnaps.log

#for snapshot in `zfs list -H -t snapshot |grep hourly | cut -f 1`
#for snapshot in `zfs list -H -t snapshot |grep $zp | cut -f 1`
function dokill () {
  crit=$1
  for snapshot in `zfs list -H -t snapshot |grep $crit | cut -f 1`
  do
    echo "`date` - Killing $snapshot" |tee -a $logfile
    time zfs destroy $snapshot
  done
}

# TODO check if $2 != "" and shift, rerun - if multiple were spec as args
until [ "$1" = "" ]; do 
  crit=$1
  dokill $crit
  shift
#  sleep 1  # sanity
done

#dokill hourly
#dokill weekly

# TODO check if $2 != "" and shift, rerun - if multiple were spec as args

exit;

# 2019.0422 mod for multiple args OK -- tested

