#!/bin/bash

# NOTE /home zpool must be setup 1st as zhome/home!
# zfs set mountpoint=/home $zp/home

# HOWTO zfs recv /home over netcat: REF: http://blog.smartcore.net.au/fast-zfs-send-with-netcat/

# This is usually used for restoring zfs /home in a VM

# TODO editme if you have an @NOW snap
zsnap=zredpool2/home/dave@Sun
destip="192.168.1.124"

if [ "$1" = "send" ] | [ "$1" = "" ]; then
#(HOST) 
  time zfs send $zsnap |pv |nc -w 10 $destip 32100;date
elif [ "$1" = "recv" ] | [ "$1" = "r" ]; then
#(VM/dest) 
  time nc -l -p 32100 |zfs recv -Fevn zhome/home; date
#  time nc -l -p 32100 |zfs recv -Fev zhome/home; date
# TODO Remove the "n" for live xmit! Otherwise test run - can ^C after ~10 sec!
fi

