#!/bin/bash

# arg=path for swapfile

source ~/bin/failexit.mrg

# increase if making #2, etc
swn=1
swf=swapfile$swn

mount $1
[ `df |grep -c $1` -gt 0 ] || failexit 101 "! $1 not mounted"

#swapoff 
sanity=`swapon -s |grep $1 |grep -c $swf`
[ "$sanity" -gt 0 ] && failexit 999 "$1 $swf already in use! Do a swapoff on it first!"


time (fallocate -l 1G $1/$swf || dd if=/dev/zero of=$1/$swf bs=1M count=1024) || failexit 202 "! Swapfile creation failed on $1"

chmod -v 600 $1/$swf
ls -l $1/$swf
mkswap $1/$swf

# Only if not already exist
[ `grep -c $1/$swf /etc/fstab` -eq 0 ] && \
  echo "$1/$swf  none  swap  defaults 0 0" >> /etc/fstab

swapon $1/$swf
swapon -s
free
