#!/bin/bash

logfile=~/scandisk-write-graph.csv
if [ "$1" = "" ]; then
  echo "Missing 1st arg = device without /dev!"
  exit 404;
fi

devv=/dev/$1 # e.g. sdc

# header
echo -n "Date," > $logfile
iostat --dec=0 -k -y $devv |grep evice |head -n 1 |awk '{print $1","$2","$4","$6}' |tee -a $logfile

# get pidof reliably
testt=$(ps ax|grep 'dd if' |grep -v grep |awk '{print $1}')
while [ $(ps $testt |wc -l) -gt 1 ]; do
  echo -n "$(date)," >> $logfile
  iostat --dec=0 -k -y $devv |grep $1 |awk '{print $1","$2","$4","$6}' |tee -a $logfile
  sleep 60
done
