#!/bin/bash

# Leave out 1st field, sort by free space (Avail
if [ "$1" = "" ]; then
  df -h -T |grep -v tmpfs |cut -f2- -d" " |column -t |sort -h -k 4
#Type  Size  Used  Avail  Use%  Mounted                                                                  on
#ext4  20G   12G   7.7G   61%   /
#cifs  219G  149G  70G    69%   /mnt/imacdual
#zfs   394G  128K  394G   1%    /zsasbay1c500

else
# alt:
  df -T -h |grep -v tmpfs |awk '{$1="";$3=""; print}' |column -t |sort -h -k 3
#Type      Used  Avail  Use%  Mounted                                                                  on
#devtmpfs  0     7.8G   0%    /dev
#tmpfs     3.4M  1.6G   1%    /run
#ext4      12G   7.7G   61%   /
fi

exit;

REF: https://www.unix.com/shell-programming-and-scripting/273869-how-can-i-remove-first-column-awk-2.html?s=a39f71f50205953a3abd86ec39732e85
