#!/bin/bash

# REF: https://www.reddit.com/r/zfs/comments/ml7s4f/zfs_rebalance_tool_after_parameters_tuning/

logf=~/zfs-rebalance.log

echo "$(date) $0 BEGIN data rebalance - BEFORE" |tee $logf
zpool iostat -v >> $logf
df -hT >> $logf

# xxx EDITME
find /zdellblue/shrcompr -type f \
 |xargs -d '\n' -I{} echo "rsync -a --inplace \"{}\" \"{}.abcdef\"; unlink \"{}\"; mv -v \"{}.abcdef\" \"{}\" "

echo "$(date) $0 DONE data rebalance - AFTER" |tee -a $logf
zpool iostat -v >> $logf
df -hT >> $logf
 
exit;
