#!/bin/bash

# add packages we expect

# findutils # for gupdatedb
errfile=/root/freshinstall-errs.txt

time pkg_add -r firefox gtar findutils bwm-ng gnu-watch bb buffer cmatrix fortune-mod-bofh p7zip pbzip2 deadbeef findutils cdplay mikmod gnotepad+ 2>$errfile
time pkg_add -r gftp vsftpd ImageMagick geeqie usbutils zfs-stats w3m lynx lsof pciutils psmisc pv e2fsprogs 2>>$errfile # for badblocks
time pkg_add -r linuxfdisk findutils mbuffer seq2 xtar rar star dir2ogg lame umodplayer vorbistools 2>>$errfile
time pkg_add -r lftp ncftp lbzip2 2>>$errfile # for multicore uncompress/list bzip2 files
time pkg_add -r eject parallel 2>>$errfile # to run limited # of bash jobs, like flist--sweep
#atanks brutalchess frozenbubble hexxagon pokerth scorched3d xarchon xgalaga xinvaders3d xonix xscorch fractorama

# Use PBI for this
#time pkg_add -r libreoffice
pbi_add -r -v libreoffice

