#!/bin/bash

# make UDF .iso with ISOs (to copy into DRAID vm w/o using pot. slow network)
# need to keep each indiv. file under 4GB

cdtemp=/zmsata480/shrcompr

includeisodir=/zdellblue/shrcompr/ISO

mkiso=genisoimage

cd $includeisodir
pwd
#myfsa=`ls -1t *.fsa |head -n 1` # try to use latest based on timestamp
#echo "$myfsa"

# how big willit be
$mkiso -d -D -f -l -J -N -r -T -v -udf -allow-limited-size -print-size *.iso

echo "PK to mk UDF restore iso with this iso set"
read -n 1

time \
  $mkiso -udf -allow-limited-size -allow-multidot -allow-lowercase -d -D -f -l -J -joliet-long -N -r -T -xa -v \
  -o $cdtemp/udfisos.iso \
  a*iso d*iso l*iso s*iso u*iso

chown -v dave $cdtemp/udfisos.iso

ls -lhrt $cdtemp/*.iso
echo $cdtemp
date

exit;

-rw-r--r--  1 dave dave 696M Jul 28  2020 archlinux-alez-2020.07.28.04.34.53-x86_64.iso
-rwxr-xr-x  1 dave dave 336M Jul  3 03:04 debian-10.10.0-amd64-netinst.iso
-rwxr-xr-x  1 dave dave 349M Jul  3 03:01 debian-10.6.0-amd64-netinst.iso
-rwxr-xr-x  1 root root 309M Jul  3 09:01 devuan_beowulf_3.1.0_amd64-netinstall.iso
-rwxr-xr-x  1 dave dave 355M Mar 11  2020 drivers-virtio-win-0.1.171.iso
-rw-r--r--  1 dave dave 5.9G Nov 19  2019 HighSierra.iso
-rw-r--r--  1 dave dave 1.9G Jun 29  2020 linuxmint-20-xfce-64bit.iso
-rw-r--r--  1 dave dave 691M Apr  6  2020 rescatux-0.73.iso
-rw-r--r--  1 dave dave 606M Nov 30  2020 rhel-server-7.9-x86_64-boot.iso
-rw-r--r--  1 dave dave 4.3G Nov 30  2020 rhel-server-7.9-x86_64-dvd.iso
-rw-rw-r--  1 dave dave  16M Sep  4  2019 super_grub2_disk_hybrid_2.04s1.iso
-rw-r--r--  1 dave dave 693M Aug  1  2020 systemrescuecd-amd64-6.1.7.iso
-rw-r--r--  1 dave dave 2.6G Apr 28  2020 ubuntu-20.04-desktop-amd64.iso
-rw-------  1 dave dave 829M Apr 22  2020 VeeamRecoveryMedia_W10DELLAPE6540.iso
-rw-r--r--  1 dave dave 5.0G May 11  2020 Win10_2004_English_x64.iso
-rwxr--r--  1 dave dave  10G Jul  1  2020 wsusoffline-w100-x64-july-2020--v1903-1909.iso