#!/bin/bash

# make .iso with bin/boojum/RESTORE-fsarchive-root.sh and .fsa archive file

cdtemp=/zmsata480/shrcompr

includefsadir=/mnt/imac5/notshrcompr/bkpsys-dellap-lmde-e6540

mkiso=genisoimage

cd $includefsadir
pwd
myfsa=`ls -1t *.fsa |head -n 1` # try to use latest based on timestamp

echo "$myfsa"

# how big willit be
$mkiso -d -D -f -l -J -N -r -T -v -udf -allow-limited-size -print-size $myfsa

echo "PK to mk UDF restore iso with this fsa: $myfsa"
read -n 1

time \
  $mkiso -udf -allow-limited-size -allow-multidot -allow-lowercase -d -D -f -l -J -joliet-long -N -r -T -xa -v \
  -o $cdtemp/restorelinuxfsa.iso \
  $includefsadir/$myfsa $includefsadir/RESTORE-fsarchive-root.sh 

chown -v dave $cdtemp/restorelinuxfsa.iso

ls -lhrt $cdtemp/*.iso
echo $cdtemp
date
